/*
Theme Name: Eldon Child
Theme URI: https://eldon.qodeinteractive.com
Description: A child theme of Eldon
Author: Edge Themes
Author URI: https://qodeinteractive.com
Version: 1.0
Text Domain: eldon
Template: eldon
*/

/* Purple details start*/
.qodef-header-navigation>ul>li>a:before, .qodef-m-filter .qodef-m-filter-item:after, #qodef-woo-page.qodef--single .woocommerce-tabs .wc-tabs li a:after {
    background-color: rgb(129 86 178);
}
#qodef-back-to-top.qodef--predefined svg g:nth-of-type(2){
    fill: rgb(129 86 178);
}
.product_meta a, .sku.qodef-woo-meta-value{
	color:#8156b2!important;
}
/* Purple details end*/

/* wpml menu hover start*/
.qodef-header-navigation ul li.qodef-menu-item--narrow ul{
	padding:7px;
	width:100%;
}
.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li>a{
	margin:0px;
	padding:0px;
}
.qodef-header-navigation ul li.qodef-menu-item--narrow .qodef-drop-down-second{
	left:0px;
}
.qodef-header-navigation ul li.qodef-menu-item--narrow ul li {
     padding: 0px; 
}
/* wpml menu hover end*/

body{
	font-family:'Sofia Sans';
}
p {
    line-height: 1.25em;
}
.grecaptcha-badge{
display:none!important;
}
.wc-tabs .active{
	text-decoration:underline;
	text-decoration-color:rgb(129 86 178);
}

.extra-description-content{
	margin-top:20px;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper a, #qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper img, #yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper a, #yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper img {
    height: auto!important;
    object-fit: contain!important;
}

#qodef-fullscreen-area{
z-index:999;
}
#qodef-page-mobile-header{
z-index:9999;
}
#qodef-woo-page.qodef--single .product_meta .posted_in, .skuFcurrent-lang.qodef-woo-meta-value, .sku.qodef-woo-meta-value{
font-family: 'Kanit';
    font-weight: 700;
    font-size: 13px;
    text-transform: uppercase;
}
.qodef-header-navigation>ul>li>a, .qodef-fullscreen-menu>ul>li>a{
font-family: 'Sofia Sans';
font-weight:900;
}

.single-product #qodef-page-outer{
	padding-top:10vh;
}

.home #qodef-page-outer{
margin-top:0px!important;
} 

#floating-lang-switcher{
display:none;
}

.qodef-page-title.qodef-m.qodef-title--breadcrumbs {
display:none;
}

#qodef-page-header .widget_icl_lang_sel_widget .wpml-ls-legacy-dropdown, #qodef-page-header .widget_icl_lang_sel_widget .wpml-ls-legacy-dropdown-click {
    width: 115px;
}

.fontgr{
font-family:'Sofia Sans Semi Condensed';
font-weight:400;
}

.qodef-woo-side-area-cart .qodef-m-content {
    padding: 100px 30px 74px;
}
#qodef-page-inner {
    padding: 0px!important;
}

.qodef-woo-product-mark.qodef-new{
	border:1px solid black!important;
}

.woocommerce-shop .qodef-grid-inner{
	display:flex;
	flex-direction:column-reverse;
}
.woocommerce-shop #qodef-page-sidebar{
	display:flex;
	justify-content:flex-start;
	gap:30px;
	width:100%;
}
.woocommerce-shop #qodef-woo-page, .woocommerce-shop .qodef-page-sidebar-section{
	width:100%!important;
}

.qodef-content-grid{
	max-width:100%!important;
	width:90%!important;
}

.qodef-skin--black #qodef-page-header .qodef-header-logo-link img.qodef--main {
    opacity: 0;
}
.qodef-skin--black #qodef-page-header .qodef-header-logo-link img.qodef--dark {
    opacity: 1;
    top: 15%;
}
.qodef-skin--white .qodef-woo-product-list .qodef-woo-product-image{
	border:none!important;
}
.qodef-skin--white .qodef-woo-shortcode .qodef-woo-product-mark {
    border-top: 1px solid #000000!important;
    border-right: 1px solid #000000!important;
}
@media (max-width: 1024px) {
.wpml-ls-item{
	display:none;
}
.qc-cmp2-persistent-link{
	bottom:51px;
}

#floating-lang-switcher {
	display:block;
    position: fixed;
    bottom: 20px;
    right: 20px;
	width:50px;
	height:50px;
    z-index: 1000;
    background: #000000;
    border-radius: 50%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

#floating-lang-switcher span#current-lang {
    display: flex;
	height:100%;
	flex-direction:column;
	justify-content:center;
    color: #ffffff;
    font-size: 1.2rem;
	line-height:1rem;
    font-weight: bold;
    text-align: center;
}

#floating-lang-switcher div#other-lang {
    position: absolute;
    bottom: calc(100% + 10px);
    right: 0;
    width: 50px;
	height:50px;
    background: rgba(0, 0, 0, 0.9);
    border-radius: 50%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    overflow: hidden;

    /* Hidden by default */
    opacity: 0;
    visibility: hidden;
    transform: scale(0.8);
    transition: opacity 0.3s ease, transform 0.3s ease, visibility 0s 0.3s;
}

#floating-lang-switcher div#other-lang.show {
    /* Visible state */
    opacity: 1;
    visibility: visible;
    transform: scale(1);
    transition: opacity 0.3s ease, transform 0.3s ease, visibility 0s 0s;
}

#floating-lang-switcher div#other-lang a {
    padding: 0px;
    text-align: center;
    font-size: 1rem;
    color: #000000;
	background-color:#ffffff;
    text-decoration: none;
    font-weight: bold;
   	display: flex;
	height:100%;
	flex-direction:column;
	justify-content:center;
    text-transform: lowercase;
    transition: background 250ms ease, color 250ms ease;
}

#floating-lang-switcher div#other-lang a:hover {
    background: #000000;
    color: #fff;
}
    #floating-lang-switcher {
        bottom: 35vh;
        right: 10px;
    }

    #floating-lang-switcher span#current-lang {
        font-size: 1rem;
        padding: 0rem;
    }
}
@media only screen and (max-width:680px){
	#qodef-woo-page.qodef--single .woocommerce-product-gallery.woocommerce-product-gallery--columns-3 .woocommerce-product-gallery__image {
		width: 100%;
	}
}


/* QODE CODE BEFORE THEME UPDATE */

#qodef-woo-page.qodef--single .woocommerce-product-gallery .woocommerce-product-gallery__wrapper,
#yith-quick-view-content.single-product .woocommerce-product-gallery .woocommerce-product-gallery__wrapper {
position: relative;
margin: 0 -8px;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery .woocommerce-product-gallery__wrapper a, #qodef-woo-page.qodef--single .woocommerce-product-gallery .woocommerce-product-gallery__wrapper img,
#yith-quick-view-content.single-product .woocommerce-product-gallery .woocommerce-product-gallery__wrapper a,
#yith-quick-view-content.single-product .woocommerce-product-gallery .woocommerce-product-gallery__wrapper img {
display: block;
width: 100%;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery .woocommerce-product-gallery__wrapper > .woocommerce-product-gallery__image,
#yith-quick-view-content.single-product .woocommerce-product-gallery .woocommerce-product-gallery__wrapper > .woocommerce-product-gallery__image {
position: relative;
width: calc(100% - 16px) !important;
margin: 0 8px;
overflow: hidden;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image,
#yith-quick-view-content.single-product .woocommerce-product-gallery .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image {
position: relative;
padding: 0 8px;
margin-top: 16px;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper {
display: flex;
flex-direction: row-reverse;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper a, #qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper img,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper a,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper img {
height: 100%;
object-fit: cover;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .woocommerce-product-gallery__image,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .woocommerce-product-gallery__image {
width: calc(100% - 27%) !important;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper {
width: 27%;
}
@media screen and (min-width: 681px) {
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image {
width: 100%;
}
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image:first-child,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--left .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper .woocommerce-product-gallery__image:first-child {
margin-top: 0;
}
#qodef-woo-page.qodef--single .woocommerce-product-gallery.qodef-position--below .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper,
#yith-quick-view-content.single-product .woocommerce-product-gallery.qodef-position--below .woocommerce-product-gallery__wrapper > .qodef-woo-thumbnails-wrapper {
display: flex;
flex-wrap: wrap;
}
/* QODE CODE END */


/* Hide the mobile bottom nav by default */
.mobile-bottom-nav-container {
    display: none; /* Hidden by default */
}

/* Media query to display on mobile devices */
@media (max-width: 1024px) {
    .mobile-bottom-nav-container {
        display: flex; /* Show the container */
		flex-direction:row;
		justify-content:space-between;
        position: fixed; /* Fixed positioning */
        bottom: 0; /* Stick to the bottom */
        left: 0;
		box-shadow: 0px -2px 5px rgba(0, 0, 0, 0.4);
		max-height:10vh;
        width: 100%; /* Full width */
        background-color: #fff; /* Background color */
        color: #000000; /* Text color */
        text-align: center; /* Center text */
        z-index: 1000; /* Ensure it's on top */
        
    }
	.mob-bot-sidebar-shop a{
		display: flex;
    justify-content: center;
	}
	.mobile-bottom-nav-container img{
		width:26px;
		height:auto;
	}
	.mobile-bottom-nav-container h5{
		margin:0px;
	}
	.mob-bot-sidebar-shop{
		display:inline-flex;
		gap:15px;
		align-items:center;
	}

    .mobile-bottom-nav-container .widget {
        flex:1 1;
		margin:0px;
		padding:12px;
        
    }
	#qodef-back-to-top {
		right: 0px;
		bottom: 65px;
	}
	.mobile-bottom-nav-container .textwidget{
		align-items: center;
		display: flex;
		justify-content: center;
	}
	#qodef-back-to-top.qodef--predefined{
		width:60px;
		height:60px;
	}
	.mobile-bottom-nav-container .widget:first-child{
		border-right:1px solid #00000075;
	}

    .mobile-bottom-nav-container a {
        color: #000000;
        text-decoration: none;
    }
	.mobile-bottom-nav-container .qodef-m-opener{
		padding:0px 10px;
	}
	
       
}
